import TypeBase from './base';
import { LangList } from './types';
export declare const messages: LangList;
/**
 * Array class
 */
export declare class TypeArray extends TypeBase {
    /**
     * Constructor
     */
    constructor();
    /**
     * Test to validate the type of the value
     *
     * @return {this}
     */
    typeof(): this;
    /**
     * Force an array to contains at least a number of items equal to the value passed.
     *
     * @param  {number} min
     * @return {this}
     */
    min(min: number): this;
    /**
     * Force an array to contains at most a number of items equal to the value passed.
     *
     * @param  {number} max
     * @return {this}
     */
    max(max: number): this;
    /**
     * Force an array to have only the values passed in the set
     *
     * @param  {...array} array
     * @return {this}
     */
    in(value: any[]): this;
    in(...value: any): this;
    /**
     * Force an array not to have the values passed in the set
     *
     * @param  {...array} array
     * @return {this}
     */
    not(value: any[]): this;
    not(...value: any): this;
    /**
     * Force an array to only have each item once
     *
     * @return {this}
     */
    unique(): this;
    /**
     * Force all array's items to match one of the template
     *
     * @param  {...Validator} templates
     * @return {this}
     */
    oneOf(...templates: TypeBase[]): this;
}
declare const def: {
    Class: typeof TypeArray;
    messages: LangList;
};
export default def;
